<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/unique_chars_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>02/03/84  unique_chars_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in unique_chars_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry: unique_chars_: 02/03/84  unique_chars_
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>Function: provides a character-string representation of a bit string.
<span id="L12" class="LineNr">12 </span>If the bit string is supplied by the unique_bits_ subroutine, this
<span id="L13" class="LineNr">13 </span>character string is unique among all character strings generated in
<span id="L14" class="LineNr">14 </span>this manner in the history of this Multics installation and is
<span id="L15" class="LineNr">15 </span>therefore useful as an identifier.
<span id="L16" class="LineNr">16 </span>
<span id="L17" class="LineNr">17 </span>
<span id="L18" class="LineNr">18 </span>Syntax:
<span id="L19" class="LineNr">19 </span>declare unique_chars_ entry <span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span> returns <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>15<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L20" class="LineNr">20 </span>char_string = unique_chars_ <span class="textRainbow_lv0_p0">(</span>bits<span class="textRainbow_lv0_p0">)</span>;
<span id="L21" class="LineNr">21 </span>
<span id="L22" class="LineNr">22 </span>
<span id="L23" class="LineNr">23 </span>Arguments:
<span id="L24" class="LineNr">24 </span>char_string
<span id="L25" class="LineNr">25 </span>   is a unique character string.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L26" class="LineNr">26 </span>bits
<span id="L27" class="LineNr">27 </span>   is a bit string of up to 70 bits.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> See &quot;Notes&quot; below.
<span id="L28" class="LineNr">28 </span>
<span id="L29" class="LineNr">29 </span>
<span id="L30" class="LineNr">30 </span>Notes:  If the bits argument is less than 70 bits in length,
<span id="L31" class="LineNr">31 </span>unique_chars_ pads it with zeros on the right to produce a 70-bit
<span id="L32" class="LineNr">32 </span>string.  If the bits argument equals zero, unique_chars_ calls
<span id="L33" class="LineNr">33 </span>unique_bits_ to obtain a unique bit string.
<span id="L34" class="LineNr">34 </span>
<span id="L35" class="LineNr">35 </span>The first character in the character string produced is always an
<span id="L36" class="LineNr">36 </span>exclamation point to identify the string as a unique identifier.  The
<span id="L37" class="LineNr">37 </span>remaining 14 characters that form the unique identifier are
<span id="L38" class="LineNr">38 </span>alphanumeric, excluding vowels.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
